CVE-2019-14981

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

In ImageMagick 7.x before 7.0.8-41 and 6.x before 6.9.10-41, there is a divide-by-zero vulnerability in the MeanShiftImage function. It allows an attacker to cause a denial of service by sending a crafted file.

References

http://lists.opensuse.org/opensuse-security-announce/2019-11/msg00040.html

http://lists.opensuse.org/opensuse-security-announce/2019-11/msg00042.html

https://github.com/ImageMagick/ImageMagick/commit/a77d8d97f5a7bced0468f0b08798c83fb67427bc

https://github.com/ImageMagick/ImageMagick/issues/1552

https://github.com/ImageMagick/ImageMagick6/commit/b522d2d857d2f75b659936b59b0da9df1682c256

https://lists.debian.org/debian-lts-announce/2019/10/msg00028.html

https://lists.debian.org/debian-lts-announce/2020/08/msg00030.html

https://usn.ubuntu.com/4192-1/

https://www.debian.org/security/2020/dsa-4712

Details

Source: MITRE

Published: 2019-08-12

Updated: 2020-08-19

Type: CWE-369

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 6.5

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.8

Severity: MEDIUM

Tenable Plugins

View all (16 total)

IDNameProductFamilySeverity
149134EulerOS 2.0 SP3 : ImageMagick (EulerOS-SA-2021-1802)NessusHuawei Local Security Checks
critical
146668EulerOS 2.0 SP2 : ImageMagick (EulerOS-SA-2021-1305)NessusHuawei Local Security Checks
critical
143991NewStart CGSL CORE 5.05 / MAIN 5.05 : ImageMagick Multiple Vulnerabilities (NS-SA-2020-0119)NessusNewStart CGSL Local Security Checks
critical
143964NewStart CGSL CORE 5.04 / MAIN 5.04 : ImageMagick Multiple Vulnerabilities (NS-SA-2020-0079)NessusNewStart CGSL Local Security Checks
critical
141987Amazon Linux 2 : ImageMagick (ALAS-2020-1497)NessusAmazon Linux Local Security Checks
critical
139675Debian DLA-2333-1 : imagemagick security updateNessusDebian Local Security Checks
critical
138633Amazon Linux AMI : php-pecl-imagick (ALAS-2020-1391)NessusAmazon Linux Local Security Checks
critical
137912Debian DSA-4712-1 : imagemagick - security updateNessusDebian Local Security Checks
critical
135797Scientific Linux Security Update : ImageMagick on SL7.x x86_64 (20200407)NessusScientific Linux Local Security Checks
critical
135354CentOS 7 : ImageMagick / autotrace / emacs / inkscape (CESA-2020:1180)NessusCentOS Local Security Checks
critical
135041RHEL 7 : ImageMagick (RHSA-2020:1180)NessusRed Hat Local Security Checks
critical
131115openSUSE Security Update : ImageMagick (openSUSE-2019-2519)NessusSuSE Local Security Checks
high
131072Ubuntu 16.04 LTS / 18.04 LTS / 19.04 / 19.10 : ImageMagick vulnerabilities (USN-4192-1)NessusUbuntu Local Security Checks
high
131066openSUSE Security Update : ImageMagick (openSUSE-2019-2515)NessusSuSE Local Security Checks
high
130584SUSE SLED15 / SLES15 Security Update : ImageMagick (SUSE-SU-2019:2896-1)NessusSuSE Local Security Checks
high
130133Debian DLA-1968-1 : imagemagick security updateNessusDebian Local Security Checks
high